commit:     d2cab53dabace9d2d28128151278ecadc5988d0d
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 20 03:29:46 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Aug 20 03:31:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2cab53d

dev-python/pycparser: version bump to 2.18

 dev-python/pycparser/Manifest              |  1 +
 dev-python/pycparser/pycparser-2.18.ebuild | 33 ++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/pycparser/Manifest b/dev-python/pycparser/Manifest
index a49e511554f..a7b9b7ef9dc 100644
--- a/dev-python/pycparser/Manifest
+++ b/dev-python/pycparser/Manifest
@@ -1,2 +1,3 @@
 DIST pycparser-2.14.tar.gz 223295 SHA256 
7959b4a74abdc27b312fed1c21e6caf9309ce0b29ea86b591fd2e99ecdf27f73 SHA512 
d5b9ab434a8944898ac23a4f51189db77b02b993bf3e3ca018852b117fc0eb43e460b156beaa5c1d631ad71c81e1649113e9fff7e33506b1e7d4de24d8b464c6
 WHIRLPOOL 
4a541ce696298a355d4e3325a10dffd47bd26756b0164da82b70090310edfacf0428ed9e26de7be7e3d4c2c952ee664262a212562852fe29f909ab0631bfd79f
 DIST pycparser-2.17.tar.gz 231163 SHA256 
0aac31e917c24cb3357f5a4d5566f2cc91a19ca41862f6c3c22dc60a629673b6 SHA512 
c9caaa8d256748e0623d077b11931abb38d19367136c70a835f7587e1f7ceb64f3acb7a983dcb68bedd2cf187517762a5753844e8ed58d1d9ed6f364c55839b4
 WHIRLPOOL 
4d3585a8c95add8b607bb79b89f8c00d16ab9361cfc72b65a5112b756b8d965cdc9c19af36ab7a73647425788e9121eafd6b0da01c2ca8de6d2b00ed5d097bba
+DIST pycparser-2.18.tar.gz 245897 SHA256 
99a8ca03e29851d96616ad0404b4aad7d9ee16f25c9f9708a11faf2810f7b226 SHA512 
4754e4e7556d21da328bf7dbabf72f940c9b18f1457260d48208033b05e576919f45ab399e86ea49e82120116980d7d6f53e8b959d21b7b03a3b5bbea3672f13
 WHIRLPOOL 
de6661b661a5b85f39a53183eccfd99d8a89f87e717630964ed1d988b4dd1b5e7ffe7aae6f034fafc2e73b40871dbd75ddf21663356d3152f989d244512019c7

diff --git a/dev-python/pycparser/pycparser-2.18.ebuild 
b/dev-python/pycparser/pycparser-2.18.ebuild
new file mode 100644
index 00000000000..292106b4124
--- /dev/null
+++ b/dev-python/pycparser/pycparser-2.18.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="C parser and AST generator written in Python"
+HOMEPAGE="https://github.com/eliben/pycparser";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="dev-python/ply[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_compile() {
+       distutils-r1_python_compile
+       pushd "${BUILD_DIR}/lib/pycparser" > /dev/null || die
+       "${PYTHON}" _build_tables.py || die
+       popd > /dev/null || die
+}
+
+python_test() {
+       nosetests || die
+}

Reply via email to